Login
Newsletter
Werbung

Sicherheit: Denial of Service in libmodsecurity
Aktuelle Meldungen Distributionen
Name: Denial of Service in libmodsecurity
ID: FEDORA-2020-dc9aee5510
Distribution: Fedora
Plattformen: Fedora 31
Datum: Mo, 30. März 2020, 08:38
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-19886
Applikationen: libmodsecurity

Originalnachricht

-------------------------------------------------------------------------------
-
Fedora Update Notification
FEDORA-2020-dc9aee5510
2020-03-30 01:49:08.331314
-------------------------------------------------------------------------------
-

Name : libmodsecurity
Product : Fedora 31
Version : 3.0.3
Release : 6.fc31
URL : https://www.modsecurity.org/
Summary : A library that loads/interprets rules written in the ModSecurity
SecRules
Description :
Libmodsecurity is one component of the ModSecurity v3 project.
The library codebase serves as an interface to ModSecurity Connectors
taking in web traffic and applying traditional ModSecurity processing.
In general, it provides the capability to load/interpret rules written
in the ModSecurity SecRules format and apply them to HTTP content provided
by your application via Connectors.

-------------------------------------------------------------------------------
-
Update Information:

Fix DoS vulnerability (CVE-2019-19886, RHBZ #1801720 / #1801719)
-------------------------------------------------------------------------------
-
ChangeLog:

* Sat Mar 21 2020 Othman Madjoudj <athmane@fedoraproject.org> - 3.0.3-6
- Fix DoS vulnerability (CVE-2019-19886, RHBZ #1801720 / #1801719)
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> -
3.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
-------------------------------------------------------------------------------
-
References:

[ 1 ] Bug #1801719 - CVE-2019-19886 libmodsecurity: denial of service in
Transaction::addRequestHeader in transaction.cc [fedora-all]
https://bugzilla.redhat.com/show_bug.cgi?id=1801719
[ 2 ] Bug #1801720 - CVE-2019-19886 libmodsecurity: denial of service in
Transaction::addRequestHeader in transaction.cc [epel-7]
https://bugzilla.redhat.com/show_bug.cgi?id=1801720
-------------------------------------------------------------------------------
-

This update can be installed with the "dnf" update program. Use
su -c 'dnf upgrade --advisory FEDORA-2020-dc9aee5510' at the command
line. For more information, refer to the dnf documentation available at
http://dnf.readthedocs.io/en/latest/command_ref.html#upgrade-command-label

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
-------------------------------------------------------------------------------
-
_______________________________________________
package-announce mailing list -- package-announce@lists.fedoraproject.org
To unsubscribe send an email to package-announce-leave@lists.fedoraproject.org
Fedora Code of Conduct: https://docs.fedoraproject.org/en-US/project/code-of-conduct/
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives: https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung